Bug 195396 - mutt is mangling mail in its viewer
mutt is mangling mail in its viewer
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: mutt (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Miroslav Lichvar
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-06-14 19:19 EDT by Dave Jones
Modified: 2015-01-04 17:27 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-06-15 07:32:43 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Dave Jones 2006-06-14 19:19:41 EDT
This mbox http://people.redhat.com/davej/muttbork.mbox contains two mails, where
the patches appear to be mangled when viewed in mutt.
In the first mail
([Ubuntu PATCH] Make btsco headset (a bluetooth device) work)
The diff appears line-wrapped like so ...

-               hdev->sco_pkts = hdev->sco_cnt =
__le16_to_cpu(bs->sco_max_pkt);
+               hdev->sco_pkts = hdev->sco_cnt = bs->sco_max_pkt ?
__le16_to_cpu(bs->sco_max_pkt) : 8;

instead of showing as two wide lines.

In the second mail, the leading whitespace at the beginning of unpatched lines
of the diff has been eaten.
Comment 1 Miroslav Lichvar 2006-06-15 07:32:43 EDT
The mails have format=flowed parameter in content-type. Therefore mutt tries to
interpret the format, see RFC 3676 for details. It is better to avoid posting
patches in flowed format. Blame the sender :)
Comment 2 Dave Jones 2006-06-17 14:19:15 EDT
Is this a recent change in mutt behaviour ? 
I'm noticing that quite a few mailers (including thunderbird) send stuff that
way, and I've not noticed this mangling until the last week or so.
Comment 3 Miroslav Lichvar 2006-06-18 05:18:06 EDT
No, there wasn't an update for very long time. I tried CVS version of mutt and
result is exactly the same.

Searching "format=flowed" on mozilla's bugzilla shows a lot of bugs. Maybe this
is one of them.

Note You need to log in before you can comment on or make changes to this bug.